<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use App\Filament\Support\SelectOptionLabels;
use Filament\Forms\Components\Select;

class HostSelect extends Select
{
    public static function create(): static
    {
        return parent::make('host_id')
            ->label('میزبان')
            ->options(SelectOptionLabels::userOptions())
            ->searchable()
            ->columnSpan(3);
    }
}
